HisendHISEND Docs

List users

GET
/admin/users

Requires a user JWT with the admin role.

Authorization

AdminJWT
AuthorizationBearer <token>

User JWT; backend checks the admin role. Project API keys cannot access admin endpoints.

In: header

Query Parameters

page?integer
Default1
Range1 <= value
limit?integer
Default20
Range1 <= value <= 100
search?string
status?string
role?string
email_verified?string
review_result?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.hisend.app/v1/admin/users"
{
  "users": [
    {
      "name": "string",
      "email": "string",
      "role": "string",
      "status": "string",
      "usage_description": "string",
      "usage_review_result": "string",
      "created_at": "string",
      "updated_at": "string",
      "id": 0,
      "email_verified": true,
      "usage_reviewed_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "error": "string",
  "message": "string"
}